package BankSystemGUI;

public class Konto {
	
	private static int konto_Nummer = 1000;
	private int konto_nummer;
	private double kontostand;
	private User inhaber;
	
	public Konto(int kontostand, User inhaber) {
		this.konto_nummer = konto_Nummer++;
		this.kontostand = kontostand;
		this.inhaber = inhaber;
	}
	
	public void einzahlen(double betrag) throws Exception {
		if (betrag <= 0)
			throw new Exception("ungültige Betrag");
		
		this.kontostand += betrag;
	}
	
	public void auszahlen(double betrag) throws Exception {
		if (betrag <= 0)
			throw new Exception("ungültige Betrag");
		
		if (this.kontostand < betrag)
			throw new Exception("kein genug Geld auf dem Konto");
		
		this.kontostand -= betrag;
	}

	public double getKontostand() {
		return kontostand;
	}

	public void setKontostand(double kontostand) {
		this.kontostand = kontostand;
	}

	public User getInhaber() {
		return inhaber;
	}
	
	

	public int getKonto_nummer() {
		return konto_nummer;
	}

	public void setKonto_nummer(int konto_nummer) {
		this.konto_nummer = konto_nummer;
	}

	@Override
	public String toString() {
		return "Konto [konto_nummer=" + konto_nummer + ", kontostand=" + kontostand + ", inhaber=" + inhaber + "]";
	}
	

}
